<?php
namespace Skar\Actionmenutest\Controller;

/***
 *
 * This file is part of the "FB Albums" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2017 Stefanos Karasavvidis <sk@karasavvidis.gr>
 *
 ***/
use TYPO3\CMS\Backend\Utility\BackendUtility;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Core\Database\ConnectionPool;
/**
 * AlbumController
 */
class AdministrationController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{


    /**
     * action list
     *
     * @return void
     */
    public function list1Action()
    {
        $this->view->assign('input', 'none');
        $this->view->assign('action', 'list1Action');
    }


    /**
     * @param int $input
     */
    public function list2Action($input): void
    {
        $this->view->assign('input', $input);
        $this->view->assign('action', 'list2Action');

    }
   
    public function indexAction()
    {
        $this->view->assign('input', 'none');
        $this->view->assign('action', 'indexAction');
    }
}
