<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        if (TYPO3_MODE === 'BE') {
            $isVersion9Up = \TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger(TYPO3_version) >= 9000000;

            \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
                'Skar.Actionmenutest',
                'tools', // Make module a submodule of 'tools'
                'mod1', // Submodule key
                '', // Position
                [
                    'Administration' => 'index, list1, list2',
                    
                ],
                [
                    'access' => 'user,group',
                    'icon'   => 'EXT:actionmenutest/Resources/Public/Icons/user_mod_mod1.svg',
                    'labels' => 'LLL:EXT:actionmenutest/Resources/Private/Language/locallang_mod1.xlf',
                    'navigationComponentId' => $isVersion9Up ? 'TYPO3/CMS/Backend/PageTree/PageTreeElement' : 'typo3-pagetree',
                    'inheritNavigationComponentFromMainModule' => false
                ]
            );

        }


    }
);
